using System;

class Program
{
    static void Main() {
       double n=double.Parse(Console.ReadLine());
       double j=1,d=2,p=5,h,br=0,o=0,pr;
       h=n;
       while(true)
       {
           if(h<10)
           {
               break;
           }
           h=h/10;
           j=j*10;
           d=d*10;
           p=p*10;
       }
       while(n!=0)
       {
           if(n/p>=1)
           {
               pr=Math.Truncate(n/p);
               br=br+pr;
               o=n-pr*p;
           }
           else if(n/d>=1)
           {
               pr=Math.Truncate(n/d);
               br=br+pr;
               o=n-pr*d;
           }
           else if(n/j>=1)
           {
               pr=Math.Truncate(n/j);
               br=br+pr;
               o=n-pr*j;
           }
           n=o;
               j=j/10;
               d=d/10;
               p=p/10;
        }
        Console.WriteLine("{0}",br);
    }
}